Subject: Passport Renewal

From: [email-masked] (Mi Mi)
Date: Tue, 29 Mar 94 10:26:41 CST

I do not think there is any problem to renew your passport, if it is a
private one. Nobody cares your status, at the consulate. Even illegaly entered
can get a passport issued. Please call (212)-502-0241 for info.

Mi Mi Sr.

   Date: Mon, 28 Mar 94 21:45:41 CST
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: [email-masked] (yinghui liu)
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

   Hi friends, any one knows how to renew private passport, especially for
   out-of-status dependants? I heard that passports can be renewed for 5 years.
   But I wonder if they require you to have legal statuses and how they count the
   5 years periods. Anybody can help? Please!
   Thanks a lot,
   liu
   .ak